=== debian/changelog ===
swarm-cluster (1.2.19+dfsg-1) unstable; urgency=medium

  * Initial Debian release
    Closes: #775861

 -- Andreas Tille <tille@debian.org>  Tue, 20 Jan 2015 14:47:36 +0100

swarm-cluster (1.2.18-0biolinux1) trusty; urgency=medium

  * Initial release for Bio-Linux

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 26 Sep 2014 12:11:38 +0100
