=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/torognes/swarm/releases .*/archive/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
