## swarm-cluster 2.1.1

=== debian/changelog ===
swarm-cluster (2.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2015 15:42:55 +0200
