=== debian/changelog ===
swarm-cluster (2.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 18:59:02 +0200
