=== debian/watch ===
version=3
https://github.com/torognes/swarm/releases .*/archive/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
