## swarm-cluster 2.1.6

=== debian/changelog ===
swarm-cluster (2.1.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 13:49:43 +0100
