=== debian/control ===
Source: swarm-cluster
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               man-db,
               python-markdown
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/swarm-cluster/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/swarm-cluster/trunk/
Homepage: https://github.com/torognes/swarm

Package: swarm
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: python
Description: robust and fast clustering method for amplicon-based studies
 The purpose of swarm is to provide a novel clustering algorithm to handle large
 sets of amplicons. Traditional clustering algorithms results are strongly
 input-order dependent, and rely on an arbitrary global clustering threshold.
 swarm results are resilient to input-order changes and rely on a small local
 linking threshold d, the maximum number of differences between two amplicons.
 swarm forms stable high-resolution clusters, with a high yield of biological
 information.
