=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_OPTIONS
 
 %:
-	dh  $@
+	dh $@ --sourcedirectory=src
 
 override_dh_auto_build:
 	dh_auto_build
