## swarm-cluster 2.1.8

=== debian/changelog ===
swarm-cluster (2.1.8-2) unstable; urgency=medium

  * Team upload.
  * Fix building with GCC 6.
    Closes: #811893
  * Enable external override for $CXX.
  * Bump Standards-Version.
  * Use secure Copyright-Format link.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Jul 2016 10:11:28 +0000

swarm-cluster (2.1.8-1) unstable; urgency=medium

  * New upstream version
  * Moved from SVN to Git
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Sat, 19 Mar 2016 19:07:43 +0100

swarm-cluster (2.1.7-1) unstable; urgency=medium

  * New upstream version
  * Additional citation
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 23:17:22 +0100
