## swarm-cluster 2.1.9

=== debian/changelog ===
swarm-cluster (2.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 15:09:20 +0000
