=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper (>= 9),
                man-db,
                python-markdown
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/swarm-cluster/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/swarm-cluster/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/swarm-cluster.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
 
 Package: swarm
@@ -25,4 +25,3 @@
  linking threshold d, the maximum number of differences between two amplicons.
  swarm forms stable high-resolution clusters, with a high yield of biological
  information.
-
