=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 export DH_OPTIONS
 
 # does not build with these options
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@ --sourcedirectory=src
