=== debian/changelog ===
swarm-cluster (2.1.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove PDF without source.
  * Adapt watchfile to use repacking and add DFSG suffix.
  * Make sure the swarm binary is included in package.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Jan 2017 22:32:18 +0000
