=== debian/changelog ===
swarm-cluster (2.1.12+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2017 09:06:54 +0100
