=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

override_dh_auto_clean:
	dh_auto_clean
	rm -f README.html
