## swarm-cluster 2.2.2+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -25,13 +25,12 @@
 #COMMON=-pg -g
 COMMON=-g
 
-COMPILEOPT=-Wall -Wsign-compare -O3 -msse2 -mtune=core2 -Icityhash
-
 LIBS=-lpthread
 LINKFLAGS=$(COMMON)
 
 CXX=g++
-CXXFLAGS=$(COMPILEOPT) $(COMMON)
+WARNINGS=-Wall -Wsign-compare -Wextra -Wpedantic -Wno-long-long
+CXXFLAGS=$(COMMON) $(WARNINGS) -O3 -msse2 -mtune=core2 -Icityhash
 
 PROG=swarm
 
@@ -40,11 +39,6 @@
 
 DEPS=Makefile swarm.h bitmap.h bloom.h cityhash/config.h cityhash/city.h \
 	threads.h
-
-.SUFFIXES:.o .cc
-
-%.o : %.cc $(DEPS)
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
 
 all : $(PROG)
 
@@ -57,4 +51,4 @@
 	rm -rf swarm *.o *~ ../bin/ gmon.out cityhash/*.o ../man/*~ ../*~
 
 ssse3.o : ssse3.cc $(DEPS)
-	$(CXX) -mssse3 $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(CXXFLAGS) -mssse3 -c -o $@ $<
