=== debian/changelog ===
swarm-cluster (2.2.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 16 Jun 2018 19:08:01 +0200

swarm-cluster (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version (no pdf versions of makefiles any more)
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 11:13:33 +0100
