=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                man-db,
                python-markdown
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/swarm-cluster.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/swarm-cluster.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
+Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
 
 Package: swarm
