=== debian/changelog ===
swarm-cluster (3.0.0+dfsg-2) unstable; urgency=medium

  * Recommends: s/python/python3/
    Closes: #943281
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 17:16:54 +0100

swarm-cluster (3.0.0+dfsg-1) unstable; urgency=medium

  * Replace python-markdown by markdown
    Closes: #943281
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 11:05:34 +0100
