=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                man-db,
-               python-markdown
-Standards-Version: 4.1.4
+               markdown
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
@@ -16,7 +16,7 @@
 Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: python
+Recommends: python3
 Description: robust and fast clustering method for amplicon-based studies
  The purpose of swarm is to provide a novel clustering algorithm to handle large
  sets of amplicons. Traditional clustering algorithms results are strongly
