=== debian/changelog ===
swarm-cluster (3.1.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.1.0+dfsg
  * d/watch: Fix watch regex
  * Refresh patches
  * Add d/salsa-ci.yml
  * d/control:
     - Add arm64 and ppc64el to architecture list
     - Bump debhelper-compat version to 13
     - Declare compliance with policy 4.5.1
     - Add "Rules-Requires-Root: no"
  * d/p/privacy-breach.patch: Fix privacy breach warns

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 23:43:04 +0530
