=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                man-db,
                markdown
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
+Rules-Requires-Root: no
 
 Package: swarm
-Architecture: amd64
+Architecture: amd64 arm64 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: python3
