=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2022 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -26,6 +26,7 @@
 LINKOPT =
 LIBS = -lpthread
 WARNINGS = -Wall -Wextra
+CLANG = clang
 
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
@@ -43,7 +44,13 @@
 	LIBS += -lgcov
 	LINKFLAGS += --coverage
 else
-	COMMON += -flto -O3
+	COMPILER_VERSION := $(shell $(CXX) --version)
+	ifeq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
+		COMMON += -flto=full
+	else
+		COMMON += -flto=auto
+	endif
+	COMMON += -O3
 endif
 
 # Machine specific
@@ -64,7 +71,7 @@
 else ifeq ($(MACHINE), arm64)
 	COMMON += -std=c++11
 else ifeq ($(MACHINE), ppc64le)
-	COMMON += -mcpu=power8 -std=gnu++11
+	COMMON += -mcpu=power8 -maltivec -std=gnu++11
 endif
 
 # OS specific
@@ -83,13 +90,15 @@
 
 PROG = swarm
 
-OBJS = swarm.o db.o search8.o search16.o nw.o matrix.o util.o scan.o \
-	algo.o algod1.o qgram.o derep.o arch.o \
-	zobrist.o bloompat.o bloomflex.o variants.o hashtable.o \
-	$(EXTRAOBJ)
+OBJS = algo.o algod1.o arch.o bloomflex.o bloompat.o db.o derep.o \
+	hashtable.o matrix.o nw.o qgram.o scan.o search16.o search8.o \
+	swarm.o util.o utils/fatal.o utils/hashtable_size.o variants.o \
+	x86_cpu_features.o zobrist.o $(EXTRAOBJ)
 
-DEPS = Makefile swarm.h \
-	threads.h zobrist.h bloompat.h bloomflex.h variants.h hashtable.h
+DEPS = Makefile arch.h bloomflex.h bloompat.h db.h hashtable.h matrix.h \
+	nw.h pseudo_rng.h qgram.h scan.h search16.h search8.h swarm.h util.h \
+	utils/fatal.h utils/gcd.h utils/hashtable_size.h threads.h variants.h \
+	x86_cpu_features.h zobrist.h
 
 
 all : $(PROG)
@@ -100,7 +109,7 @@
 	cp -a $(BIN) ../bin
 
 clean :
-	rm -f swarm *.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm
+	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm
 
 .o : .cc $(DEPS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
