=== debian/changelog ===
swarm-cluster (3.1.2+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 21:01:48 +0100
