=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/torognes/swarm/tags .*/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
