## swarm-cluster 3.1.4%2Bdfsg

=== debian/changelog ===
swarm-cluster (3.1.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/patches: Refresh patches (allow_cxx_override.patch, hardening.patch,
    and privacy-breach.patch)
  * d/salsa-ci.yml: Update to use pipeline-jobs.yml and disable i386 build
  * d/upstream/metadata: Set missing fields (Repository and Repository-Browse)
  * d/tests/run-unit-test: Change interpreter to bash and use set for exiting

 -- Lance Lin <lq27267@gmail.com>  Thu, 25 Jan 2024 19:35:26 +0700
