## swarm-cluster 3.1.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
