=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2022 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -28,32 +28,59 @@
 WARNINGS = -Wall -Wextra
 CLANG = clang
 
+
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
-	COMMON += -DNDEBUG
-endif
-
-# Run "make PROFILE=1" to compile for profiling
-ifdef PROFILE
-	COMMON += -pg
-endif
-
-# Run "make COVERAGE=1" to compile for coverage tests
-ifdef COVERAGE
-	COMMON += -fprofile-arcs -ftest-coverage -O0
-	LIBS += -lgcov
-	LINKFLAGS += --coverage
-else
+	COMMON += -O3 -DNDEBUG
 	COMPILER_VERSION := $(shell $(CXX) --version)
 	ifeq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
 		COMMON += -flto=full
 	else
-		COMMON += -flto=auto
+		GCCVERSIONGTEQ12 := $(shell expr `gcc -dumpversion | cut -f 1 -d "."` \>= 12)
+		ifeq "$(GCCVERSIONGTEQ12)" "1"
+			COMMON += -flto=auto
+		else
+			COMMON += -flto
+		endif
 	endif
-	COMMON += -O3
+
+# Run "make PROFILE=1" to compile for profiling
+else ifdef PROFILE
+	COMMON += -pg -O1
+
+# Run "make DEBUG=1" to compile for debugging (GCC 10 or more recent)
+else ifdef DEBUG
+	COMMON += -Og -DDEBUG -ggdb3 -fsanitize=undefined,address -fno-omit-frame-pointer -Werror
+	COMPILER_VERSION := $(shell $(CXX) --version)
+	ifneq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
+		COMMON += -fanalyzer
+	endif
+
+
+# Run "make COVERAGE=1" to compile for coverage tests
+else ifdef COVERAGE
+	COMMON += -fprofile-arcs -ftest-coverage -O0
+	LIBS += -lgcov
+	LINKFLAGS += --coverage
+
+# default behaviour is to compile for release (max optimizations)
+else
+	COMMON += -O3 -DNDEBUG
+	COMPILER_VERSION := $(shell $(CXX) --version)
+	ifeq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
+		COMMON += -flto=full
+	else
+		GCCVERSIONGTEQ12 := $(shell expr `gcc -dumpversion | cut -f 1 -d "."` \>= 12)
+		ifeq "$(GCCVERSIONGTEQ12)" "1"
+			COMMON += -flto=auto
+		else
+			COMMON += -flto
+		endif
+	endif
 endif
 
-# Machine specific
+
+# Identify Machine
 ifeq ($(CXX), aarch64-linux-gnu-g++)
 	MACHINE = aarch64
 else ifeq ($(CXX), powerpc64le-linux-gnu-g++)
@@ -62,6 +89,8 @@
 	MACHINE = $(shell uname -m)
 endif
 
+
+# Machine specific
 ifeq ($(MACHINE), x86_64)
 	COMMON += -march=x86-64 -mtune=generic -std=c++11
 	EXTRAOBJ += ssse3.o sse41.o popcnt.o
@@ -74,7 +103,8 @@
 	COMMON += -mcpu=power8 -maltivec -std=gnu++11
 endif
 
-# OS specific
+
+# OS specific (Windows vs. others)
 ifeq ($(CXX), x86_64-w64-mingw32-g++)
 	LIBS += -lpsapi
 	LINKOPT += -static
@@ -84,6 +114,7 @@
 	BIN = swarm
 endif
 
+
 LINKFLAGS = $(COMMON) $(LINKOPT)
 
 CXXFLAGS = $(COMMON) $(WARNINGS)
@@ -91,14 +122,15 @@
 PROG = swarm
 
 OBJS = algo.o algod1.o arch.o bloomflex.o bloompat.o db.o derep.o \
-	hashtable.o matrix.o nw.o qgram.o scan.o search16.o search8.o \
+	hashtable.o nw.o qgram.o scan.o search16.o search8.o \
 	swarm.o util.o utils/fatal.o utils/hashtable_size.o variants.o \
 	x86_cpu_features.o zobrist.o $(EXTRAOBJ)
 
-DEPS = Makefile arch.h bloomflex.h bloompat.h db.h hashtable.h matrix.h \
-	nw.h pseudo_rng.h qgram.h scan.h search16.h search8.h swarm.h util.h \
-	utils/fatal.h utils/gcd.h utils/hashtable_size.h threads.h variants.h \
-	x86_cpu_features.h zobrist.h
+DEPS = Makefile arch.h algo.h algod1.h bloomflex.h bloompat.h db.h derep.h hashtable.h \
+	nw.h qgram.h scan.h search16.h search8.h swarm.h \
+	util.h utils/fatal.h utils/gcd.h utils/hashtable_size.h utils/nt_codec.h utils/pseudo_rng.h \
+	utils/qgram_array.h utils/score_matrix.h utils/threads.h variants.h x86_cpu_features.h \
+	zobrist.h
 
 
 all : $(PROG)
@@ -109,7 +141,8 @@
 	cp -a $(BIN) ../bin
 
 clean :
-	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm
+	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov \
+	./utils/*.gcno ./utils/*.gcda ./utils/*.gcov ../bin/swarm
 
 .o : .cc $(DEPS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
