## swarm-cluster 3.1.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -27,7 +27,7 @@
 swarm : $(PROG)
 
 $(PROG) :
-	make -C src swarm
+	$(MAKE) -C src swarm
 
 install : $(PROG) $(MAN)
 	/usr/bin/install -c $(PROG) '/usr/local/bin'
@@ -35,4 +35,4 @@
 	/usr/bin/install -c $(MAN) '/usr/local/share/man/man1'
 
 clean :
-	make -C src clean
+	$(MAKE) -C src clean
