=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -25,9 +25,14 @@
 EXTRAOBJ =
 LINKOPT =
 LIBS = -lpthread
-WARNINGS = -Wall -Wextra
+WARNINGS = -Wall -Wextra -Wpedantic
 CLANG = clang
-
+DEBUG_WARNINGS = -Wcast-align -Wcast-qual -Wconversion -Wdate-time \
+	-Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-equal \
+	-Wformat=2 -Wformat-overflow -Wlogical-op -Wnon-virtual-dtor -Wnull-dereference \
+	-Wold-style-cast -Woverloaded-virtual -Wshadow -Wsign-conversion -Wuninitialized \
+        -Wunsafe-loop-optimizations -Wunused -Wunused-macros -Wuseless-cast -Wvla
+DEBUG_SANITIZER = -fsanitize=undefined,address -fno-sanitize=alignment -fno-omit-frame-pointer
 
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
@@ -50,11 +55,7 @@
 
 # Run "make DEBUG=1" to compile for debugging (GCC 10 or more recent)
 else ifdef DEBUG
-	COMMON += -Og -DDEBUG -ggdb3 -fsanitize=undefined,address -fno-omit-frame-pointer -Werror
-	COMPILER_VERSION := $(shell $(CXX) --version)
-	ifneq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
-		COMMON += -fanalyzer
-	endif
+	COMMON += -O0 -DDEBUG -ggdb3 -D_GLIBCXX_DEBUG $(DEBUG_SANITIZER) $(DEBUG_WARNINGS)
 
 
 # Run "make COVERAGE=1" to compile for coverage tests
@@ -85,6 +86,10 @@
 	MACHINE = aarch64
 else ifeq ($(CXX), powerpc64le-linux-gnu-g++)
 	MACHINE = ppc64le
+else ifeq ($(CXX), x86_64-linux-gnu-g++)
+	MACHINE = x86_64
+else ifeq ($(CXX), x86_64-w64-mingw32-g++)
+	MACHINE = x86_64
 else
 	MACHINE = $(shell uname -m)
 endif
@@ -110,7 +115,6 @@
 	LINKOPT += -static
 	BIN = swarm.exe
 else
-	WARNINGS += -pedantic
 	BIN = swarm
 endif
 
@@ -123,15 +127,10 @@
 
 OBJS = algo.o algod1.o arch.o bloomflex.o bloompat.o db.o derep.o \
 	hashtable.o nw.o qgram.o scan.o search16.o search8.o \
-	swarm.o util.o utils/fatal.o utils/hashtable_size.o variants.o \
-	x86_cpu_features.o zobrist.o $(EXTRAOBJ)
+	swarm.o util.o variants.o zobrist.o \
+	$(patsubst %.cc, %.o, $(wildcard utils/*.cc)) $(EXTRAOBJ)
 
-DEPS = Makefile arch.h algo.h algod1.h bloomflex.h bloompat.h db.h derep.h hashtable.h \
-	nw.h qgram.h scan.h search16.h search8.h swarm.h \
-	util.h utils/fatal.h utils/gcd.h utils/hashtable_size.h utils/nt_codec.h utils/pseudo_rng.h \
-	utils/qgram_array.h utils/score_matrix.h utils/threads.h variants.h x86_cpu_features.h \
-	zobrist.h
-
+DEPS = Makefile $(wildcard *.h) $(wildcard utils/*.h)
 
 all : $(PROG)
 
@@ -141,8 +140,8 @@
 	cp -a $(BIN) ../bin
 
 clean :
-	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov \
-	./utils/*.gcno ./utils/*.gcda ./utils/*.gcov ../bin/swarm
+	rm -r -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov \
+	./utils/*.gcno ./utils/*.gcda ./utils/*.gcov ../bin/
 
 .o : .cc $(DEPS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
