=== debian/changelog ===
swarm-cluster (3.1.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on discount instead of markdown (Closes: #1073106)

 -- Charles Plessy <plessy@debian.org>  Wed, 03 Jul 2024 22:07:43 +0200

swarm-cluster (3.1.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: Update copyright years for all files and add myself for
    copyright year 2024 for debian files
  * d/salsa-ci.yml: Disable varying time and build_path for reprotest

 -- Lance Lin <lq27267@gmail.com>  Wed, 08 May 2024 21:20:37 +0700
