=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	markdown_py -f README.html README.md
+	markdown README.md > README.html
 
 override_dh_auto_clean:
 	dh_auto_clean
