## swarm-cluster 3.1.6%2Bdfsg

=== debian/changelog ===
swarm-cluster (3.1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)

  [ Lance Lin ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/copyright: Update copyright year to 2025 for debian files

 -- Lance Lin <lq27267@gmail.com>  Fri, 21 Nov 2025 19:38:49 +0700
