## swarm-cluster 3.1.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2025 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -24,15 +24,19 @@
 PROG=bin/swarm
 MAN=man/swarm.1
 
+ifndef PREFIX
+	PREFIX=/usr/local
+endif
+
 swarm : $(PROG)
 
 $(PROG) :
 	$(MAKE) -C src swarm
 
 install : $(PROG) $(MAN)
-	/usr/bin/install -c $(PROG) '/usr/local/bin'
-	/usr/bin/install -d '/usr/local/share/man/man1'
-	/usr/bin/install -c $(MAN) '/usr/local/share/man/man1'
+	/usr/bin/install -c $(PROG) $(PREFIX)/bin
+	/usr/bin/install -d $(PREFIX)/share/man/man1
+	/usr/bin/install -c $(MAN) $(PREFIX)/share/man/man1
 
 clean :
 	$(MAKE) -C src clean
