=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2025 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -32,7 +32,7 @@
 	-Wformat=2 -Wformat-overflow -Wlogical-op -Wnon-virtual-dtor -Wnull-dereference \
 	-Wold-style-cast -Woverloaded-virtual -Wshadow -Wsign-conversion -Wuninitialized \
         -Wunsafe-loop-optimizations -Wunused -Wunused-macros -Wuseless-cast -Wvla
-DEBUG_SANITIZER = -fsanitize=undefined,address -fno-sanitize=alignment -fno-omit-frame-pointer
+DEBUG_SANITIZER = -fsanitize=undefined,address -fno-omit-frame-pointer
 
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
